[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'FileUtil' (#lcl)

# SearchAllFilesInPath

SearchAllFilesInPath - searches for all files named Filename in the given SearchPath using the supplied BasePath with the specified Delimiter and the options listed in Flags

## Declaration

Source position: fileutil.pas line 113

`function SearchAllFilesInPath(`
`const Filename: String;`
`const BasePath: String;`
`const SearchPath: String;`
`const Delimiter: String;`
`Flags: TSearchFileInPathFlags`
`):TStrings;`

## Arguments

`Filename` |  | The name of the file for searching
`BasePath` |  | The BasePath to be used for the search
`SearchPath` |  | The path for searching
`Delimiter` |  | The directory Delimiter to be used in the search
`Flags` |  | Flags specifying how to search: e.g. don't search in base path, case independent search

## Function result

Returns fully specified file names of all files that match the supplied criteria, or empty string if file not found

## Description

SearchAllFilesInPath - searches for all files named Filename in the given SearchPath using the supplied BasePath with the specified Delimiter and the options listed in Flags

Searches the whole path unless the sffDontSearchInBasePath flag is present

Returns all files that match the supplied criteria

The latest version of this document can be found at lazarus-ccr.sourceforge.net .